Ubuntu – Accès refusé à l’utilisateur «debian-sys-maint» – installation de thesql

Im essayant d’installer mysql et j’obtiens l’erreur:

 mysql_upgrade: Got error: 1045: Access denied for user 'debian-sys-maint'@'localhost' (using password: YES) while connecting to the MySQL server
 

Après quelques recherches, je trouve que cela donne peut-être accès à debian-sys-maint, donc je:

 sudo cat /etc/mysql/debian.cnf
 

Ensuite, définissez le mot de passe debian dans mysql:

 mysql -u root -p <password>
GRANT ALL PRIVILEGES ON *.* TO 'debian-sys-maint'@'localhost' IDENTIFIED BY 'password-here';
 

Puis je redémarre:

 sudo /etc/init.d/mysql restart
 

Et essayez de configurer à nouveau:

 sudo dpkg --configure -a
 

J’ai la même erreur.

Meilleure réponse

  • Un peu tard mais ça y est:
    Je suis d’abord sur

     Distributor ID: Ubuntu
    Description:    Ubuntu 16.10
    Release:    16.10
    Codename:   yakkety
     

    J’ai dû « décocher » certains dépôts de logiciels. Cela peut être fait facilement sur Software & Updates GUI sur le Other Software languette. J’ai décoché:

    • repos instable
    • repos xenial
    • « désactivés lors de la mise à niveau vers les référentiels yakkety »

    Les seuls référentiels vérifiés pour moi étaient:

    software&updates window

    Ensuite, j’ai résolu le problème de cette façon:

     sudo su 

     [email protected]: mysql -u root -p
    Enter password:
    mysql> GRANT ALL PRIVILEGES ON *.* TO 'debian-sys-maint'@'localhost' IDENTIFIED BY '<your password>';
    ERROR 1819 (HY000): Your password does not satisfy the current policy requirements
     

    Si l’erreur (1819) est déclenchée, tapez ceci sur le terminal mysql

     mysql> uninstall plugin validate_password;
     

    Redémarrez ensuite mysql: systemctl restart mysql 

    finalement

     apt install -f
     

    réparer les dépendances cassées

    Si l’erreur persiste, entrez à nouveau dans le terminal mysql, connectez-vous:
    tapez ceci:

     mysql> GRANT ALL PRIVILEGES ON *.* TO 'debian-sys-maint'@'localhost' IDENTIFIED BY '<your password>'
     

     apt -f install pour la dernière fois.

     Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following package was automatically installed and is no longer required:
      libmecab2
    Use 'sudo apt autoremove' to remove it.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    2 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Setting up mysql-server-5.7 (5.7.17-0ubuntu0.16.10.1) ...
    Checking if update is needed.
    Checking server version.
    Running queries to upgrade MySQL server.
    Checking system database.
    mysql.columns_priv                                 OK
    mysql.db                                           OK
    mysql.engine_cost                                  OK
    mysql.event                                        OK
    mysql.func                                         OK
    mysql.general_log                                  OK
    mysql.gtid_executed                                OK
    mysql.help_category                                OK
    mysql.help_keyword                                 OK
    mysql.help_relation                                OK
    mysql.help_topic                                   OK
    mysql.innodb_index_stats                           OK
    mysql.innodb_table_stats                           OK
    mysql.ndb_binlog_index                             OK
    mysql.plugin                                       OK
    mysql.proc                                         OK
    mysql.procs_priv                                   OK
    mysql.proxies_priv                                 OK
    mysql.server_cost                                  OK
    mysql.servers                                      OK
    mysql.slave_master_info                            OK
    mysql.slave_relay_log_info                         OK
    mysql.slave_worker_info                            OK
    mysql.slow_log                                     OK
    mysql.tables_priv                                  OK
    mysql.time_zone                                    OK
    mysql.time_zone_leap_second                        OK
    mysql.time_zone_name                               OK
    mysql.time_zone_transition                         OK
    mysql.time_zone_transition_type                    OK
    mysql.user                                         OK
    The sys schema is already up to date (version 1.5.1).
    Checking databases.
    
    (your databases will be shown here...)
    
    Upgrade process completed successfully.
    Checking if update is needed.
    Setting up mysql-server (5.7.17-0ubuntu0.16.10.1) ...
     

    Une autre façon de résoudre était: apt -u dist-upgrade